/* eslint-disable */
(function (w) {
  const customCss = '';
  const playlistCustomCss = '';

  const isMobileBrowser = function () {
    const userAgent = navigator.userAgent.toLowerCase();
    return /android|webos|iphone|ipad|ipod|blackberry|iemobile|opera mini|windows phone|tablet/i.test(
      userAgent,
    );
  };
  const config = {
    mobile: {
      showBigPlay: true,
      showBigPlayOnPause: true,
      showBigPrevNext: true,
      showUiOnPause: false,
      showPauseButton: true,
      showPrevButton: false,
      showNextButton: false,
      showFullScreen: true,
      hideGuiTimeout: 2,
    },
    adConfig: {
      block: {
        script: {
          list: [
            'seedtag.com',
            'config.seedtag.com',
            'https://config.seedtag.com/libs/@seedtag-ads/creatives@4.30.31.js',
          ],
          track: [],
          callback: function (a, b, c) {
            console.log('block callback - ' + a + ':' + b + ':' + c);
          },
        },
      },
      ref1: 'AV_DNTCHECK=1',
      logo: true,
      timelineMode: 'bottom',
      imarpm: 25,
      maxBidQueue: 4,
      vastRetry: 4,
      width: 100,
      height: 0,
      soundButton: true,
      pauseButton: true,
      errorLimit: 25,
      startMidroll: 0,
      channelId: '630cd91af7a3c7264e6749b5',
      publisherId: '6273c0a1b3aa42322938a1bf',
      HD: true,
      skip: false,
      skipTimer: 0.1,
      skipText: 'Skip This Ad',
      mode: 0,
    },

    logo: {
      url: 'https://cdn.vidcrunch.com/assets/playlist-logo.svg',
      position: 'top-right',
    },

    position: 'aniplayer_vidcrunchJS51480523',
    scriptId: 'vidcrunchJS51480523',

    posId: '',
    posTag: '',
    posClass: '',
    posSelector: '',
    posType: isMobileBrowser() ? 'in' : 'in',

    useDifferentPositonOnMobile: false,
    mobilePosId: '',
    mobilePosTag: '',
    mobilePosClass: '',
    mobilePosSelector: '',

    // 3: Debug
    // 2: Info
    // 1: Error
    // 0: Disabled
    logLevel: 0,
    showBigPlay: true,
    showBigPlayOnPause: true,
    showBigPrevNext: true,
    showBigPrevNextOnPause: true,

    soundButtonPosition: 'right',

    startMode: {
      showPlayer: false,
    },

    moveXSec: false,
    xSec: 10,
    playOnView: false,
    showTitle: false,
    autoLoop: true,
    showPauseButton: true,
    showPrevButton: false,
    showNextButton: false,
    showVolumeControl: true,
    showFullScreen: true,
    showDuration: true,
    timelineMode: 'overlay',
    startVolume: 0,
    syncVolume: true,
    showSoundButton: true,
    adServerDomain: 'serv.vidcrunch.com',
    trackDomain: 'servt.vidcrunch.com',
    posDfp1x1: false,

    theme: 'solid',
    waitforconsent: false,
    floating: {
      resize: 0,
      width: 0,
      height: 0,
      size:
        (false && isMobileBrowser()) ||
          (false && !isMobileBrowser())
          ? 0
          : 0.635,
      floatOnBottom: true,
      position: 'Bottom-Right',
      closeButton: true,
      floatOnView: true,
      right: 8,
      left: 0,
      top: 0,
      bottom: 120,
    },

    sticky: {
      size: 0,
      position: '',
      right: 0,
      bottom: 0,
      top: 0,
      left: 0,
    },
    customCloseButton: false,
    plugins: [
      {
        name: 'Playlist',
        config: {
          src:
            'https://cdn.vidcrunch.com/assets/avcplayer/videoPlayListGallery.v2.min.js',
          settings: {
            itemHeight: 0,
            itemWidth: 0,
            ratioPlayer:
              'RESPONSIVE' === 'RESPONSIVE'
                ? {
                  smallCoefficient: 0.2,
                  mediumCoefficient: 0.175,
                  largeCoefficient: 0.175,
                }
                : false,
            moreVideosText: ' ',
            locateBelow: false,
            infinite: false,
            upNext: false,
            hoveringPlaylist: false,
            customCss: `
              .av-prime-playlist {
                margin: 0 !important;
                margin-top: 4px !important;
                width: 100% !important;
              }
              .av-playlist-titles {
                display: none !important;
              }
              .av-playlist-item {
                margin-left: 0 !important;
              }
              .av-playlist-scroller {
                line-height: 0.8;
              }
              .av-playlist-items {
                display: block !important;
              }
              .av-playlist-entryItem {
                opacity: 1 !important;
                display: flex !important;
                align-items: flex-end !important;
                background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)) !important;
              }
              .av-playlist-nameItem {
                padding: 0 4px 0 4px !important;
                font-weight: 400 !important;
                font-size: 15px !important;
                color: #E1E1E1 !important;
                padding-bottom: 10px !important;
                padding-left: 10px !important;
              }
              .av-small .av-playlist-nameItem,
              .av-medium .av-playlist-nameItem {
                display: none;
              }
              [data-avp-ui-size="m"] .av-playlist-nameItem {
                display: '';
              }
              [data-avp-ui-size="s"] .av-playlist-nameItem {
                display: '';
              }
              [data-avp-ui-size="xs"] .av-playlist-nameItem {
                display: none !important;
              }
              [data-avp-ui-size="xxs"] .av-playlist-nameItem {
                display: none !important;
              }
              .av-playlist-button svg {
                display: none !important;
              }
              .av-playlist-button {
                margin-top: 0 !important;
                margin-bottom: 0 !important;
                padding: 1px 6px !important;
              }
              .av-playlist-next-button {
                height: 26px !important;
                width: 10px !important;
                margin-right: 5px !important;
                background: url('https://cdn.vidcrunch.com/assets/playlist-next.svg') !important;
                background-repeat: no-repeat !important;
              }
              .av-playlist-previous-button {
                height: 26px !important;
                width: 10px !important;
                margin-left: 5px !important;
                background: url('https://cdn.vidcrunch.com/assets/playlist-prev.svg') !important;
                background-repeat: no-repeat !important;
              }
              .av-playlist-entryItem:hover {
                background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)) !important;
                transition: all 0.3s ease-in-out;
              }
              ${playlistCustomCss}
            `,
          },
        },
      },
    ],
    width: 100,
    height: 0,

    maxWidth: '640',
    minHeight:
      'RESPONSIVE' === 'RESPONSIVE'
        ? Math.round(100 / 1.7777)
        : 56,
    playerSizeType: 'RESPONSIVE',
    minWidth: 100,
    autoContinue: true,

    autoSkip: {
      time: 30,
      timeout: 10,
    },

    customCss: `
      #aniBox {
        font-family: Arial, sans-serif !important;
      }
      #aniBox > div {
        box-sizing: content-box !important;
      }
      #aniview-credit {
        display: none !important;
      }

      #av-caption {
        background-color: #f4f4f4 !important;
      }
      #av-label {
        text-transform: capitalize !important;
        font-size: 10px !important;
        color: #6c757d !important;
        font-family: 'proxima_novaregular' !important;
      }

      [data-avp-ui-size="m"] .avp-p-dk {
        height: 40px !important
      }
      [data-avp-ui-size="s"] .avp-p-dk {
        height: 35px !important
      }
      [data-avp-ui-size="xs"] .avp-p-dk {
        height: 30px !important
      }
      [data-avp-ui-size="xxs"] .avp-p-dk {
        height: 25px !important
      }

      .avp-p-cn-bnext,
      .avp-p-cn-bprev {
        width: 45px !important;
        background-color: transparent !important;
        border: none !important;
        height: 100% !important;
        border-radius: 0% !important;
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        z-index: 1 !important;
        box-sizing: border-box !important;
      }
      .avp-p-cn-bprev {
        left: 0px !important;
        background: linear-gradient(270deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 0.01%, rgba(0, 0, 0, 0.25) 100%) !important;
      }
      .avp-p-cn-bnext {
        right: 0px !important;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 0.01%, rgba(0, 0, 0, 0.25) 100%) !important;
      }
      .avp-auto-skip-bar {
        background-color: #fff !important;
        border-radius: 3px !important;
      }

      [data-avp-ui-size="m"] .avp-auto-skip-bar {
        height: 30px !important;
      }
      [data-avp-ui-size="s"] .avp-auto-skip-bar {
        height: 26px !important;
      }
      [data-avp-ui-size="xs"] .avp-auto-skip-bar {
        height: 22px !important;
      }
      [data-avp-ui-size="xxs"] .avp-auto-skip-bar {
        height: 18px !important;
      }

      .avp-auto-skip-wrapper {
        opacity: 1 !important;
        display: flex !important;
        flex-direction: row-reverse !important;
        width: auto !important;
        pointer-events: none !important;
        background-color: transparent !important;
        box-shadow: none !important;
      }

      [data-avp-ui-size="m"] .avp-auto-skip-wrapper {
        height: 30px !important;
        right: 15px !important;
        ${false ? 'bottom: 40px !important;' : 'top: 45px !important;'}
      }
      [data-avp-ui-size="s"] .avp-auto-skip-wrapper {
        height: 26px !important;
        right: 15px !important;
        ${false ? 'bottom: 37px !important;' : 'top: 41px !important;'}
      }
      [data-avp-ui-size="xs"] .avp-auto-skip-wrapper {
        height: 22px !important;
        right: 15px !important;
        ${false ? 'bottom: 33px !important;' : 'top: 38px !important;'}
      }
      [data-avp-ui-size="xxs"] .avp-auto-skip-wrapper {
        height: 18px !important;
        right: 15px !important;
        ${false ? 'bottom: 30px !important;' : 'top: 35px !important;'}
      }

      .avp-auto-skip-container {
        background-color: rgba(218, 218, 218, 0.9) !important;
        border-radius: 3px !important;
        pointer-events: auto !important;
        z-index: -1 !important;
        transition: all 0.15s ease-in-out;
      }

      .avp-auto-skip-container:hover {
        background-color: rgba(233, 233, 233, 0.9) !important;
        transition: all 0.15s ease-in-out;
      }

      [data-avp-ui-size="m"] .avp-auto-skip-button {
        width: 74px !important;
        font-weight: 400 !important;
        font-size: 15px !important;
        line-height: 30.95px !important;
        color: #000 !important;
      }
      [data-avp-ui-size="s"] .avp-auto-skip-button {
        width: 62px !important;
        font-weight: 400 !important;
        font-size: 13px !important;
        line-height: 25.95px !important;
        color: #000 !important;
      }
      [data-avp-ui-size="xs"] .avp-auto-skip-button {
        width: 50px !important;
        font-weight: 400 !important;
        font-size: 12px !important;
        line-height: 20.95px !important;
        color: #000 !important;
        margin-left: 1px !important;
        padding-top: 1px !important;
      }
      [data-avp-ui-size="xxs"] .avp-auto-skip-button {
        width: 38px !important;
        font-weight: 400 !important;
        font-size: 11px !important;
        line-height: 15.95px !important;
        color: #000 !important;
        margin-left: 1px !important;
        padding-top: 1px !important;
      }
      #skip-btn{
        background-color: rgba(32, 32, 32, 0.9) !important;
        border: none !important;
        text-transform: none !important;
        border-radius: 3px !important;
        font-weight: 400 !important;
      }
      [data-avp-ui-size="m"] + div #skip-btn{
        margin-right: 15px !important;
        font-size: 15px !important;
        height: 30px !important;
        padding: 0 23px !important;
        line-height: 30.95px !important;
        ${false ? 'bottom: 45px !important;' : 'top: 51px !important;'}
      }
      [data-avp-ui-size="s"] + div #skip-btn{
        margin-right: 14px !important;
        font-size: 13px !important;
        height: 26px !important;
        padding: 0 22px !important;
        line-height: 26.95px !important;
        ${false ? 'bottom: 40px !important;' : 'top: 46px !important;'}
      }
      [data-avp-ui-size="xs"] + div #skip-btn{
        margin-right: 14px !important;
        font-size: 12px !important;
        height: 22px !important;
        padding: 0 21px !important;
        line-height: 23.95px !important;
        ${false ? 'bottom: 37px !important;' : 'top: 43px !important;'}
      }
      [data-avp-ui-size="xxs"] + div #skip-btn{
        margin-right: 13px !important;
        font-size: 11px !important;
        height: 18px !important;
        padding: 0 20px !important;
        line-height: 20.95px !important;
        ${false ? 'bottom: 34px !important;' : 'top: 40px !important;'}
      }

      [data-avp-ui-size="xs"] .avp-auto-skip-container {
        width: 54px !important;
      }

      [data-avp-ui-size="xxs"] .avp-auto-skip-container {
        width: 42px !important;
      }

      .avp-stay-button {
        border-right: none !important;
        display: block !important;
        background-color: rgba(32, 32, 32, 0.9) !important;
        pointer-events: auto !important;
        text-align: center !important;
        border-radius: 3px !important;
        transition: all 0.15s ease-in-out;
      }

      [data-avp-ui-size="m"] .avp-stay-button {
        width: 74px !important;
        height: 30px !important;
        padding: 0px !important;
        font-weight:  400 !important;
        font-size: 15px !important;
        line-height: 30.95px !important;
        margin-right: 10px !important;
      }
      [data-avp-ui-size="s"] .avp-stay-button {
        width: 62px !important;
        height: 26px !important;
        padding: 0px !important;
        font-weight:  400 !important;
        font-size: 13px !important;
        line-height: 25.95px !important;
        margin-right: 5px !important;
      }
      [data-avp-ui-size="xs"] .avp-stay-button {
        width: 50px !important;
        height: 22px !important;
        padding: 0px !important;
        font-weight:  400 !important;
        font-size: 12px !important;
        line-height: 20.95px !important;
        margin-right: 10px !important;
        padding-top: 1px !important;
      }
      [data-avp-ui-size="xxs"] .avp-stay-button {
        width: 38px !important;
        height: 18px !important;
        padding: 0px !important;
        font-weight:  400 !important;
        font-size: 11px !important;
        line-height: 15.95px !important;
        margin-right: 5px !important;
        padding-top: 2px !important;
      }

      .avp-logo-0 a {
        width: 100% !important;
        height: 100% !important;
        position: absolute !important;
        z-index: 3 !important;
      }
      .avp-logo-0 {
        background-color: #202020 !important;
        overflow: hidden !important;
        border-radius: 15px !important;
        transition: 0.5s !important;
        display: ${true === false ? 'none !important' : 'flex !important'};
        align-items: center !important;
        cursor: pointer !important;
        z-index: 3 !important;
      }
      .avp-logo-0:hover {
        background: #5D5D5D !important;
      }

      [data-avp-ui-size="m"] .avp-logo-0 {
        width: 22px !important;
        height: 22px !important;
        padding-left: 3px !important;
        top: 10px !important;
      }
      [data-avp-ui-size="s"] .avp-logo-0 {
        width: 19px !important;
        height: 19px !important;
        padding-left: 1px !important;
      }
      [data-avp-ui-size="xs"] .avp-logo-0 {
        width: 16px !important;
        height: 16px !important;
        padding-left: 1.5px !important;
      }
      [data-avp-ui-size="xxs"] .avp-logo-0 {
        width: 14px !important;
        height: 14px !important;
        padding-left: 1px !important;
      }
      #aniBox:hover [data-avp-ui-size="m"] .avp-logo-0 {
        width: 100px!important;
        padding: 0 !important;
      }
      #aniBox:hover [data-avp-ui-size="s"] .avp-logo-0 {
        width: 88px !important;
        padding: 0 !important;
      }
      #aniBox:hover [data-avp-ui-size="xs"] .avp-logo-0 {
        width: 76px !important;
        padding: 0 !important;
      }
      #aniBox:hover [data-avp-ui-size="xxs"] .avp-logo-0 {
        width: 66px !important;
        padding: 0 !important;
      }
      [data-avp-ui-size="m"] .avp-logo-0-i {
        height: 100% !important;
        min-width: 84px !important;
        transition: all 0.5s ease-in-out !important;
        margin: 0px auto !important;
        margin-top: 1px !important;
      }
      [data-avp-ui-size="s"] .avp-logo-0-i {
        height: 100% !important;
        min-width: 74px !important;
        transition: all 0.5s ease-in-out !important;
        margin: 0px auto !important;
        margin-top: 1px !important;
      }
      [data-avp-ui-size="xs"] .avp-logo-0-i {
        height: 100% !important;
        min-width: 63px !important;
        transition: all 0.5s ease-in-out !important;
        margin: 0px auto !important;
        margin-top: 1px !important;
      }
      [data-avp-ui-size="xxs"] .avp-logo-0-i {
        height: 100% !important;
        min-width: 52px !important;
        transition: all 0.5s ease-in-out !important;
        margin: 0px auto !important;
        margin-top: 1px !important;
      }
      [data-avp-ui-size="m"] .avp-logo-0-i ,
      [data-avp-ui-size="s"] .avp-logo-0-i,
      [data-avp-ui-size="xs"] .avp-logo-0-i,
      [data-avp-ui-size="xxs"] .avp-logo-0-i {
        transition: all 0.5s ease-in-out !important;
        margin: 0px auto !important;
        background-position: center !important;
      }
      [data-avp-ui-size="m"] + div #buttons #sound,
      [data-avp-ui-size="m"] + div #buttons #fullscreen,
      [data-avp-ui-size="m"] + div #buttons #play-pause {
        width: 24px !important;
        height: 24px !important;
      }
      [data-avp-ui-size="s"] + div #buttons #sound,
      [data-avp-ui-size="s"] + div #buttons #fullscreen,
      [data-avp-ui-size="s"] + div #buttons #play-pause {
        width: 19px !important;
        height: 19px !important;
      }
      [data-avp-ui-size="xs"] + div #buttons #sound,
      [data-avp-ui-size="xs"] + div #buttons #fullscreen,
      [data-avp-ui-size="xs"] + div #buttons #play-pause {
        width: 14px !important;
        height: 14px !important;
      }
      [data-avp-ui-size="xxs"] + div #buttons #sound,
      [data-avp-ui-size="xxs"] + div #buttons #fullscreen,
      [data-avp-ui-size="xxs"] + div #buttons #play-pause {
        width: 9px !important;
        height: 9px !important;
      }
      [data-avp-ui-size="m"] + div #buttons #right,
      [data-avp-ui-size="m"] + div #buttons #left {
        height: 24px !important;
      }
      [data-avp-ui-size="s"] + div #buttons #right,
      [data-avp-ui-size="s"] + div #buttons #left {
        height: 19px !important;
      }
      [data-avp-ui-size="xs"] + div #buttons #right,
      [data-avp-ui-size="xs"] + div #buttons #left {
        height: 14px !important;
      }
      [data-avp-ui-size="xxs"] + div #buttons #right,
      [data-avp-ui-size="xxs"] + div #buttons #left {
        height: 9px !important;
      }


      .avp-stay-button:hover {
        background-color: rgba(118, 118, 118, 0.9) !important;
        transition: all 0.15s ease-in-out;
      }

      #gui #buttons .play {
        background-image: url('https://cdn.vidcrunch.com/assets/play.svg') !important;
        background-repeat: no-repeat !important;
        background-size: contain !important;
        background-position: center !important;
      }

      #skip-btn:hover {
        background-color: rgba(75, 75, 75, 0.9) !important;
      }
      .avp-p-cn-bp {
        opacity: 1 !important;
        transition: all 0.15s ease-in-out !important;
        background-color: rgba(32, 32, 32, 0.9) !important;
      }
      .avp-p-cn-bp:hover {
        transition: all 0.15s ease-in-out !important;
        background-color: rgba(82, 82, 82, 0.9) !important;
      }

      .avp-p-wrapper {
        overflow: inherit !important;
      }
      .avp-p-cn-close {
        height: 15px !important;
        width: 15px !important;
        background-color: rgba(97, 97, 97, .7) !important;
        background-image:url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20id%3D%22close-Layer_1%22%20xml%3Aspace%3D%22preserve%22%20height%3D%2223%22%20viewBox%3D%220%200%2022.677%2022.677%22%20width%3D%2223%22%20version%3D%221.1%22%20y%3D%220px%22%20x%3D%220px%22%20enable-background%3D%22new%200%200%2022.677%2022.677%22%3E%09%09%3Cpolygon%20fill%3D%22%23FFF%22%20points%3D%2219.346%205.421%2017.256%203.332%2011.338%209.25%205.42%203.332%203.332%205.421%209.25%2011.338%203.332%2017.257%205.42%2019.345%2011.338%2013.427%2017.256%2019.345%2019.346%2017.257%2013.428%2011.338%22%20clip-rule%3D%22evenodd%22%20fill-rule%3D%22evenodd%22%2F%3E%3C%2Fsvg%3E"); !important;
        background-size: 12px !important;
        background-position: center !important;
        background-repeat: no-repeat !important;
        border: none !important;
        cursor: pointer !important;
        border-radius: 7.5px;
        background-position: center center;
        transform: scale(2);
        color: transparent !important;
      }
      .avp-p-wrapper > div:first-child {
        background-color: transparent !important;
      }
      #av-inlineToContent {
        display: none !important;
        width: 0px;
      }
      #close-btn {
        z-index: 9999999;
        position: absolute;
        top: 0;
        left: 0;
        width: 28px;
        height: 28px;
        background-color: rgb(50, 50, 50);
        background-color: rgba(0, 0, 0, 0.4);
        background-image: url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20id%3D%22close-Layer_1%22%20xml%3Aspace%3D%22preserve%22%20height%3D%2223%22%20viewBox%3D%220%200%2022.677%2022.677%22%20width%3D%2223%22%20version%3D%221.1%22%20y%3D%220px%22%20x%3D%220px%22%20enable-background%3D%22new%200%200%2022.677%2022.677%22%3E%09%09%3Cpolygon%20fill%3D%22white%22%20points%3D%2219.346%205.421%2017.256%203.332%2011.338%209.25%205.42%203.332%203.332%205.421%209.25%2011.338%203.332%2017.257%205.42%2019.345%2011.338%2013.427%2017.256%2019.345%2019.346%2017.257%2013.428%2011.338%22%20clip-rule%3D%22evenodd%22%20fill-rule%3D%22evenodd%22%2F%3E%3C%2Fsvg%3E);
        background-repeat: no-repeat;
        background-size: 60%;
        background-position: center;
        border-color: white;
        border-style: solid;
        border-width: 0 1px 1px 0;
        -webkit-transition: all 0.15s ease-in-out;
        -moz-transition: all 0.15s ease-in-out;
        -o-transition: all 0.15s ease-in-out;
        transition: all 0.15s ease-in-out;
      }
      .avp-p-wrapper .vidcrunch-close-btn-protection-bubble {
        display: none;
      }
      .avp-p-wrapper.av-floating .vidcrunch-close-btn-protection-bubble,
      .avp-p-wrapper.av-sticky .vidcrunch-close-btn-protection-bubble {
        display: block;
      }
      .avp-p-ti.title-left {
        top: 10px;
        left: 20px;
        margin-right: 40px;
      }
      ${customCss}
    `,
    noCssBreak: true,
    customButtons: {
      'avp-p-cn-close': 'Stay',
      'avp-p-cn-bprev': `
        <svg width="22" height="40" viewBox="0 0 22 40" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" clip-rule="evenodd" d="M21.0251 39.6326C20.6937 39.9651 20.1555 39.966 19.823 39.6346L0.996113 20.8704C0.836092 20.7109 0.746149 20.4943 0.746149 20.2684C0.746149 20.0425 0.836092 19.8258 0.996113 19.6663L19.823 0.902172C20.1555 0.570782 20.6937 0.571678 21.0251 0.904179C21.3565 1.23668 21.3556 1.77487 21.0231 2.10626L2.80024 20.2684L21.0231 38.4305C21.3556 38.7619 21.3565 39.3001 21.0251 39.6326Z" fill="white"/>
        </svg>
      `,
      'avp-p-cn-bnext': `
        <svg width="25" height="46" viewBox="0 0 25 46" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" clip-rule="evenodd" d="M2.97489 3.36742C3.30628 3.03492 3.84447 3.03402 4.17697 3.36541L23.0039 22.1296C23.1639 22.2891 23.2539 22.5057 23.2539 22.7316C23.2539 22.9575 23.1639 23.1742 23.0039 23.3337L4.17697 42.0978C3.84447 42.4292 3.30628 42.4283 2.97489 42.0958C2.64349 41.7633 2.64439 41.2251 2.97689 40.8937L21.1998 22.7316L2.97689 4.5695C2.64439 4.23811 2.64349 3.69992 2.97489 3.36742Z" fill="white"/>
        </svg>
      `,
    },

    contentAutoLoad: true,
    content: {
      order: 0,
      breakingAds: 2,
      breakingAdsMode: 'os',
      commonSlots: [
        {
          type: 'ad',
          time: 0,
          maxAds: 0,
        },
      ],
      contents: [{"id":0,"url":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/3796e4b74c03bd752b5290dbfadb41e0.mp4?channelId=630cd91af7a3c7264e6749b5&veid=cccf9a9af6ac49b960a851e127c4a683","clickThroughUrl":"","type":"video","entry":{"thumbnailUrl":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/8cd15348fcca56db05784b71bbdd5753_1.jpg?channelId=630cd91af7a3c7264e6749b5&veid=cccf9a9af6ac49b960a851e127c4a683","name":"Skip On the Baggage Fees By Mastering How to Pack Your Carry-On","userExpand":{"fullName":""}}},{"id":1,"url":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/a48f4e75fd1dc89729e664792517f501.mp4?channelId=630cd91af7a3c7264e6749b5&veid=2083c15addc12c7701833902e948ab33","clickThroughUrl":"","type":"video","entry":{"thumbnailUrl":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/6985d93e9f36d85158172bae4a5d4515_1.jpg?channelId=630cd91af7a3c7264e6749b5&veid=2083c15addc12c7701833902e948ab33","name":"These Are The Best Beauty Products to Pack When Traveling","userExpand":{"fullName":""}}},{"id":2,"url":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/f3fe8f380edbf5cf3eb83d8ac3c37e1e.mp4?channelId=630cd91af7a3c7264e6749b5&veid=d00babd613e319e73e8ac7976ee8b3fc","clickThroughUrl":"","type":"video","entry":{"thumbnailUrl":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/fb0baaff3fffd56e42b90473b14fe956_1.jpg?channelId=630cd91af7a3c7264e6749b5&veid=d00babd613e319e73e8ac7976ee8b3fc","name":"Make Sure You're Saving on Airfare By Following These Simple Tips","userExpand":{"fullName":""}}},{"id":3,"url":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/e9bc67a6aa586728865b18439b025538.mp4?channelId=630cd91af7a3c7264e6749b5&veid=6d9359741770b6a10de829f77dd926a8","clickThroughUrl":"","type":"video","entry":{"thumbnailUrl":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/4deddceb20035fe68e9f23669df8da0b_1.jpg?channelId=630cd91af7a3c7264e6749b5&veid=6d9359741770b6a10de829f77dd926a8","name":"Here's How to Avoid Getting Sick on Vacation","userExpand":{"fullName":""}}},{"id":4,"url":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/3de80f9067b851a4fd097829a2e101bc.mp4?channelId=630cd91af7a3c7264e6749b5&veid=2b67c26f7e8598c69df62d73b2e8a7db","clickThroughUrl":"","type":"video","entry":{"thumbnailUrl":"https://cdn.vidcrunch.com/integrations/630cd9a5902bd95c00f1a788/630cd9d1902bd9207ef1a78b/0738719707642ca90e2074557b7890ae_1.jpg?channelId=630cd91af7a3c7264e6749b5&veid=2b67c26f7e8598c69df62d73b2e8a7db","name":"How to Stay Healthy When You're On Vacation","userExpand":{"fullName":""}}}]
    },
    playerType: 2,
    volumeControlVertical: true,
    autoPlay: true,
    showReplay: true,
    pauseOnPlayerClick: false,
  };

  const showAdLabel = false;
  if (showAdLabel) {
    config.adConfig['adLabel'] = {
      text: 'Advertisement',
    };
  }

  var b = {};
  var st = {
    target: function () {
      var ua = navigator.userAgent || navigator.vendor || window.opera;
      var uav = navigator.appVersion ? navigator.appVersion.toLowerCase() : '';
      var op = 2;
      if (
        /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(
          ua,
        ) ||
        /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(
          ua.substr(0, 4),
        )
      ) {
        op = 1;
      } else {
        if (/web0s|webos|tizen/i.test(uav)) {
          op = 4;
        }
      }
      for (var i = 0; i < b.length; i++) {
        var b1 = b[i];
        if (b1.t && b1.t.p && b1.t.p == op && b1.a) {
          config = b1.a;
          break;
        }
      }
    },
    track: function (e, m) {
      if (!this.trackUrl) {
        this.trackUrl =
          'https://' +
          (config.trackDomain || 'track1.aniview.com') +
          '/track?pid=' +
          config.adConfig.publisherId +
          '&cid=' +
          config.adConfig.channelId +
          '&cb=' +
          Date.now() +
          '&r=' +
          location.host +
          '&stagid=' +
          (config.tagId || '') +
          '&stplid=' +
          (config.templateId || '') +
          '&e=';
      }
      m = m ? m : '';
      new Image().src = this.trackUrl + e + m;
    },
    unique: function () {
      if (!this.win.aniplayerPos) this.win.aniplayerPos = {};
      this.win.aniplayerPos[config.position] = true;
      return true;
    },
    findWin: function () {
      try {
        if (
          (!config.posDfp1x1 &&
            !config.posClass &&
            !config.posSelector &&
            !config.posId &&
            !config.posTag) ||
          w === top ||
          !w.frameElement
        ) {
          this.doc = document;
          this.win = w;
        } else if (config.posDfp1x1 && w.frameElement) {
          this.win = parent;
          this.doc = parent.document;
        } else {
          this.win = top;
          this.doc = top.document;
        }
      } catch (f) {
        this.doc = document;
        this.win = w;
      }
    },
    postCreate: function () { },
    retry: function () {
      if (this.retryCnt++ > this.timeout) {
        this.track(
          'AV_M3',
          '&prbdres=nopos&sn=' +
          encodeURIComponent(location.href).slice(0, 400),
        );
        return;
      }
      var that = this;
      setTimeout(function () {
        that.position();
      }, 250);
    },
    create: function (p, n) {
      var d1 = document.createElement('div');
      if (config.scriptId) {
        d1.className = config.scriptId;
      }
      d1.style.width = '100%';
      d1.style.margin = '0 auto';
      d1.style.maxWidth = '' + config.maxWidth + 'px';
      var d2 = document.createElement('div');
      d2.id = 'aniBox';
      var d3 = document.createElement('div');
      d3.id = config.position;
      if (p === this.doc || p === this.doc.head) p = this.doc.body;
      if (n) {
        p.insertBefore(d1, n);
      } else {
        p.appendChild(d1);
      }
      config.refDiv = p;
      d1.appendChild(d2);
      d2.appendChild(d3);
      this.postCreate(d1);
    },
    position: function () {
      var p = this.doc;
      if (config.posSelector) {
        try {
          var q = this.doc.querySelectorAll(config.posSelector);
          var l = 0;
          if (config.posCounter > 0) {
            l = config.posCounter - 1;
          }
          p = q[l];
        } catch (e) {
          this.track(
            'AV_M3',
            '&prbdres=badpos&sn=' +
            encodeURIComponent(location.href).slice(0, 400),
          );
          return;
        }
        if (!p) {
          this.retry();
          return;
        }
      }
      if (config.posId) {
        p = this.doc.getElementById(config.posId);
        if (!p) {
          this.retry();
          return;
        }
      }
      if (config.posTag) {
        var c = config.posTag.split('#');
        if (c && c.length == 2) {
          var e = p.getElementsByTagName(c[0]);
          if (e.length == 0) {
            this.retry();
            return;
          }
          p = e[Math.min(c[1] - 1, e.length - 1)];
        }
      }
      if (config.posClass) {
        var c = config.posClass.split('#');
        var e = 1;
        if (c.length == 2) {
          e = c[1];
        }
        var f = p.getElementsByClassName(c[0]);
        if (f.length > 0) {
          p = f[Math.min(e - 1, f.length - 1)];
        }
        if (!p) {
          this.retry();
          return;
        }
      }
      if (config.posDfp1x1 && window.frameElement) {
        n = window.frameElement.parentNode.parentNode;
        p = n.parentNode;
        if (document.body.clientHeight > 5 && !config.nohideIframe) {
          frameElement.style.height = '0px';
        }
        if (config.posType == 'after') {
          n = n.nextElementSibling;
        }
      }
      var n;
      if (p === this.doc) {
        n = this.doc.getElementById(config.scriptId);
        if (n) {
          n.id += '-used';
          p = n.parentNode;
        }
      }
      if (p === this.doc.head) {
        n = null;
        p = this.doc;
      }
      if (config.posType && config.posType !== 'in' && !n) {
        if (config.posType === 'after' && p.nextElementSibling) {
          p = p.nextElementSibling;
        }
        n = p;
        p = n.parentNode;
      }
      if (p) {
        if (!p.av_setpos) {
          p.av_setpos = {};
        }
        if (!p.av_setpos[config.position]) {
          p.av_setpos[config.position] = true;
          config.position += '-' + Date.now();
          this.create(p, n);
          this.load();
        } else {
          this.track(
            'AV_M3',
            '&prbdres=duppos&sn=' +
            encodeURIComponent(location.href).slice(0, 400),
          );
        }
      }
      this.makePlayerFullScreenWidth();
    },
    isFloatingPlayer: function () {
      return (
        (config.floating && config.floating.size && config.floating.size > 0) ||
        false
      );
    },
    isStickyPlayer: function () {
      return (
        (config.sticky && config.sticky.size && config.sticky.size > 0) || false
      );
    },
    showFloatingCloseButton: function () {
      const closeButton = this.doc.querySelector(`.${'vidcrunchJS51480523'} .avp-p-cn-close`);
      let protectionBubble = this.doc.querySelector(`.${'vidcrunchJS51480523'} .vidcrunch-close-btn-protection-bubble`);
      closeButton.textContent = '';
      const buttonSize = 15;
      const baseOffset = 2 || 30;
      const closeButtonScale = (1.2 || 1) / config.floating.size;
      const buttonOffset = baseOffset / config.floating.size + buttonSize * closeButtonScale;
      const closeButtonCorner = ('Bottom-Right' || 'Top-Left').toLowerCase();
      const positions = {
        'bottom-left': `bottom: -${buttonOffset}px; top: unset !important; left: 0; right: unset !important;`,
        'bottom-right': `bottom: -${buttonOffset}px; top: unset !important; right: 0; left: unset !important;`,
        'top-left': `top: -${buttonOffset}px; bottom: unset !important; left: 0; right: unset !important;`,
        'top-right': `top: -${buttonOffset}px; bottom: unset !important; right: 0; left: unset !important;`,
      };

      const transformOrigin = {
        'bottom-left': `transform-origin: 0 100%;`,
        'bottom-right': `transform-origin: 100% 100%;`,
        'top-left': `transform-origin: 0 0;`,
        'top-right': `transform-origin: 100% 0;`,
      };

      const position = positions[closeButtonCorner];
      const buttonTransformOrigin = transformOrigin[closeButtonCorner];

      closeButton.style.cssText = `
        width: ${buttonSize}px;
        height: ${buttonSize}px;
        border-radius: ${buttonSize / 2}px;
        background-size: 12px;
        background-position: center;
        background-repeat: no-repeat;
        transform: scale(${closeButtonScale});
        ${position}
        ${buttonTransformOrigin}
      `;

      if (!protectionBubble) protectionBubble = document.createElement('div');
      const protectionBubbleRadius = 30 * closeButtonScale;
      const protectionBubbleSize = protectionBubbleRadius + (buttonSize * closeButtonScale / 2);
      const protectionBubbleOffset = buttonOffset + protectionBubbleRadius;

      const protectionBubblePositions = {
        'bottom-left': `bottom: -${protectionBubbleOffset}px; top: unset !important; left: -${protectionBubbleRadius}px; right: unset !important;`,
        'bottom-right': `bottom: -${protectionBubbleOffset}px; top: unset !important; right: -${protectionBubbleRadius}px; left: unset !important;`,
        'top-left': `top: -${protectionBubbleOffset}px; bottom: unset !important; left: -${protectionBubbleRadius}px; right: unset !important;`,
        'top-right': `top: -${protectionBubbleOffset}px; bottom: unset !important; right: -${protectionBubbleRadius}px; left: unset !important;`,
      };
      const protectionBubblePosition = protectionBubblePositions[closeButtonCorner];
      protectionBubble.className = "vidcrunch-close-btn-protection-bubble";
      protectionBubble.style.cssText = `
        padding: ${protectionBubbleSize}px;
        border-radius: ${protectionBubbleSize}px;
        z-index: 3;
        position: absolute;
        cursor: pointer;
        ${protectionBubblePosition}
      `;
      protectionBubble.onclick = closeButton.onclick;

      closeButton.parentNode.insertBefore(protectionBubble, closeButton);
    },
    makePlayerFullScreenWidth: function () {
      if (
        config.floating.position === 'Bottom' ||
        config.floating.position === 'Top'
      ) {
        const { availWidth } = window.screen;
        const aniBoxWidth = document.getElementById('aniBox').offsetWidth;

        config.floating.size = availWidth / aniBoxWidth;
        config.floating.resize = true;
      }
    },
    showStickyCloseButton: function () {
      const closeButton = this.doc.querySelector(`.${'vidcrunchJS51480523'} .avp-p-cn-close`);
      let protectionBubble = this.doc.querySelector(`.${'vidcrunchJS51480523'} .vidcrunch-close-btn-protection-bubble`);
      closeButton.textContent = '';
      const buttonSize = 15;
      const baseOffset = 30;
      const buttonOffset = (baseOffset + buttonSize) / config.sticky.size;
      const topButtonOffset = buttonOffset + config.maxWidth * 0.175 / 1.7777 + 5;
      const closeButtonScale = (1.2 || 1) / config.sticky.size;

      const closeButtonCorner = ('Bottom-Right' || 'Top-Left').toLowerCase();
      const positions = {
        'bottom-left': `bottom: -${topButtonOffset}px; top: unset !important; left: 0; right: unset !important;`,
        'bottom-right': `bottom: -${topButtonOffset}px; top: unset !important; right: 0; left: unset !important;`,
        'top-left': `top: -${buttonOffset}px; bottom: unset !important; left: 0; right: unset !important;`,
        'top-right': `top: -${buttonOffset}px; bottom: unset !important; right: 0; left: unset !important;`,
      };

      const transformOrigin = {
        'bottom-left': `transform-origin: 0 100%;`,
        'bottom-right': `transform-origin: 100% 100%;`,
        'top-left': `transform-origin: 0 0;`,
        'top-right': `transform-origin: 100% 0;`,
      };

      const position = positions[closeButtonCorner];
      const buttonTransformOrigin = transformOrigin[closeButtonCorner];

      closeButton.style.cssText = `
        width: ${buttonSize}px;
        height: ${buttonSize}px;
        border-radius: ${buttonSize / 2}px;
        background-size: 12px;
        background-position: center;
        background-repeat: no-repeat;
        transform: scale(${closeButtonScale});
        ${position}
        ${buttonTransformOrigin}
      `;

      if (!protectionBubble) protectionBubble = document.createElement('div');
      const protectionBubbleRadius = 30 * closeButtonScale;
      const protectionBubbleSize = protectionBubbleRadius + (buttonSize * closeButtonScale / 2);
      const useTopOffset = closeButtonCorner.startsWith('bottom');
      const protectionBubbleOffset = (useTopOffset ? topButtonOffset : buttonOffset) + protectionBubbleRadius;

      const protectionBubblePositions = {
        'bottom-left': `bottom: -${protectionBubbleOffset}px; top: unset !important; left: -${protectionBubbleRadius}px; right: unset !important;`,
        'bottom-right': `bottom: -${protectionBubbleOffset}px; top: unset !important; right: -${protectionBubbleRadius}px; left: unset !important;`,
        'top-left': `top: -${protectionBubbleOffset}px; bottom: unset !important; left: -${protectionBubbleRadius}px; right: unset !important;`,
        'top-right': `top: -${protectionBubbleOffset}px; bottom: unset !important; right: -${protectionBubbleRadius}px; left: unset !important;`,
      };
      const protectionBubblePosition = protectionBubblePositions[closeButtonCorner];
      protectionBubble.className = "vidcrunch-close-btn-protection-bubble";
      protectionBubble.style.cssText = `
        padding: ${protectionBubbleSize}px;
        border-radius: ${protectionBubbleSize}px;
        z-index: 3;
        position: absolute;
        cursor: pointer;
        ${protectionBubblePosition}
      `;
      protectionBubble.onclick = closeButton.onclick;

      closeButton.parentNode.insertBefore(protectionBubble, closeButton);
    },
    hideFloatingCloseButton: function () {
      const closeButton = this.doc.querySelector(`.${'vidcrunchJS51480523'} .avp-p-cn-close`);
      let protectionBubble = this.doc.querySelector(`.${'vidcrunchJS51480523'} .vidcrunch-close-btn-protection-bubble`);
      if (closeButton) {
        closeButton.style.cssText = `display: none;`;
      }
      if (protectionBubble) {
        protectionBubble.style.cssText = `display: none;`;
      }
    },
    changeSpinnerToPlayButton: function () {
      const spinner = this.doc.querySelector('.avp-spinner');
      spinner.classList.add('avp-p-cn-bp');
      spinner.innerHTML = '';
      spinner.setAttribute('data-avp-state', 'play');
    },
    fetchContent: function (callback) {
      if (config.content && config.content.cmsId && config.content.cmsType) {
        config.content.contentFeed =
          'https://' +
          (config.cmsFeedDomain || 'feed.avplayer.com') +
          '/backend/get?cmsType=' +
          config.content.cmsType +
          '&id=' +
          config.content.cmsId;
      }
      if (config.content.contentFeed) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', config.content.contentFeed, true);
        xhr.onload = function () {
          xhr.onload = null;
          try {
            var json = JSON.parse(xhr.responseText);
            if (json && json.playlist) {
              config.content.contents = json.playlist;
            }
          } catch (e) { }
          callback();
        };
        xhr.send();
      } else {
        callback();
      }
    },
    load: function () {
      var that = this;
      var loadCounter = 0;
      var scp = this.doc.createElement('script');
      scp.src =
        'https://cdn.vidcrunch.com/assets/avcplayer/avcplayer.v1.min.js';
      function checkIfLoad() {
        if (++loadCounter > 1) {
          that.start();
        }
      }
      scp.onload = function () {
        scp.onload = null;
        checkIfLoad();
      };
      scp.async = true;
      this.fetchContent(checkIfLoad);
      this.doc.body.appendChild(scp);
    },
    postStart: function (player) {
      this.showCustomLogo();

      if (this.isFloatingPlayer() && !this.isStickyPlayer() && config.floating.closeButton) {
        this.showFloatingCloseButton();
      } else if (this.isStickyPlayer() && !this.isFloatingPlayer() && config.floating.closeButton) {
        this.showStickyCloseButton();
      } else {
        this.hideFloatingCloseButton();
      }
      if (config.customCloseButton) {
        this.showCloseButton(player);
      }

      /* Our custom manipulations with spinner conflict with autoplay: false situation, when player awaits a click to start content. */
      if (config.autoPlay) {
        this.changeSpinnerToPlayButton();
        this.pauseOnPlayerClick();
      }
    },
    pauseOnPlayerClick: function () {
      if (config.pauseOnPlayerClick) {
        config.content.contents.map(content => (content.clickThroughUrl = ''));
      }
    },
    showCustomLogo: function () {
      if (config.logo && config.logo.url) {
        const logoWrapper = this.doc.querySelector('.avp-p-gui-t');
        const logo = this.doc.querySelector('.avp-logo-0');
        const link = document.createElement('a');

        link.href = 'https://vidcrunch.com';
        link.target = '_blank';
        link.ariaLabel = 'VidCrunch website';

        logoWrapper.appendChild(link);
        link.appendChild(logo);
      }
    },
    showCloseButton: function (player) {
      const closeButton = document.createElement('div');
      closeButton.setAttribute('id', "close-btn");
      closeButton.addEventListener("click", function () {
        player.closePlayer();
      });
      const container = this.doc.querySelector('.avp-shared-gui');
      closeButton.textContent = '';
      container.appendChild(closeButton);
    },
    getAttr: function () {
      if (config.scriptId) {
        var s =
          document.getElementById(config.scriptId) ||
          document.getElementById(config.scriptId + '-used');
        if (s) {
          for (var i = 0, t = s.attributes; i < s.attributes.length; i++) {
            if (t[i].nodeName && t[i].nodeName.indexOf('data-') == 0) {
              var n = t[i].nodeName
                .replace(/^data-/, '')
                .replace(/[-_]+?(\w)/g, function (_, letter) {
                  return letter.toUpperCase();
                })
                .split('.');
              var lastProp = n.pop();
              try {
                var innerConfig = n.reduce(function (config, prop) {
                  return config[prop];
                }, config);
                innerConfig[lastProp] = t[i].nodeValue;
                // eslint-disable-next-line no-empty
              } catch (e) { }
            }
          }
          if (s.src) {
            var p = s.src.indexOf('?');
            if (p > 10) {
              var r = s.src.substring(p + 1, s.src.length);
              config.adConfig.ref1 =
                (config.adConfig.ref1 || '') + '&' + (r || '');
            }
          }
        }
      }
    },
    start: function () {
      var player;
      try {
        if (this.win._avcp) {
          player = new this.win._avcp(config);
        } else if (window._avcp) {
          player = new _avcp(config);
        } else {
          player = new top._avcp(config);
        }
      } catch (exp) {
        player = new _avcp(config);
      }
      this.p = player;
      if (this.pbjs && this.pbjs.preparePlayer) {
        this.pbjs.preparePlayer(player, st);
      }
      if (
        config.playerApi &&
        typeof this.win[config.playerApi] === 'function'
      ) {
        try {
          this.win[config.playerApi](config, player);
        } catch (ex) { }
      }
      player.nextContent();
      this.postStart(player);
    },
    preRun: function () {
      this.getAttr();

      if (config.vcpositionid) {
        config.posSelector = '';
        config.posTag = '';
        config.posId = config.vcpositionid;
        config.posClass = '';
      }

      if (config.useDifferentPositonOnMobile && this.isMobileBrowser()) {
        config.posId = config.mobilePosId;
        config.posTag = config.mobilePosTag;
        config.posClass = config.mobilePosClass;
        config.posSelector = config.mobilePosSelector;
      }
    },
    isMobileBrowser: isMobileBrowser,
    run: function () {
      this.getAttr();
      if (b && b.length > 0) {
        st.target();
      }
      this.config = config;
      this.preRun();
      this.findWin();
      if (!this.doc.body) {
        this.doc.addEventListener('DOMContentLoaded', function () {
          st.run();
        });
        if (this.bodyRetry > 0) {
          setTimeout(function () {
            st.run();
          }, 250);
          this.domRetry--;
        }
        return;
      }
      if (
        config.configApi &&
        typeof this.win[config.configApi] === 'function'
      ) {
        try {
          this.win[config.configApi](config);
        } catch (ex) { }
      }
      if (this.unique() && !this.loaded) {
        this.loaded = true;
        this.track('playerLoaded');
        this.retryCnt = 0;
        this.timeout = config.posTimeout || 40;
        this.pbjs =
          window.aniviewRenderer &&
          window.aniviewRenderer.units &&
          window.aniviewRenderer.units[config.scriptId];
        if (this.pbjs && this.pbjs.prepareConfig) {
          this.pbjs.prepareConfig(config, st);
        }
        this.position();
      }
    },
    domRetry: 20,
  };
  st.run();
})(window);

/* eslint-enable */
